org.apache.ignite.internal.visor.cdc

## Class VisorCdcCacheDataResendTask

- java.lang.Object
- - org.apache.ignite.internal.visor.VisorMultiNodeTask<VisorCdcCacheDataResendTaskArg,Void,Void>
  - - org.apache.ignite.internal.visor.cdc.VisorCdcCacheDataResendTask

All Implemented Interfaces:
  Serializable, ComputeTask<VisorTaskArgument<VisorCdcCacheDataResendTaskArg>,Void>

    @GridInternal
    public class VisorCdcCacheDataResendTask
    extends VisorMultiNodeTask<VisorCdcCacheDataResendTaskArg,Void,Void>

Task to forcefully resend all cache data to CDC. Iterates over caches and writes primary copies of data entries to the WAL to get captured by CDC.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.visor.VisorMultiNodeTask

`debug, ignite, start, taskArg`

### Constructor Summary

Constructors
Constructor and Description
`VisorCdcCacheDataResendTask()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected VisorJob<VisorCdcCacheDataResendTaskArg,Void>` `job(VisorCdcCacheDataResendTaskArg arg)`
`protected Collection<UUID>` `jobNodes(VisorTaskArgument<VisorCdcCacheDataResendTaskArg> arg)`
`protected @Nullable Void` `reduce0(List<ComputeJobResult> results)` Actual reduce logic.

### Methods inherited from class org.apache.ignite.internal.visor.VisorMultiNodeTask

`map, map0, reduce, result`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### VisorCdcCacheDataResendTask

    public VisorCdcCacheDataResendTask()

### Method Detail

#### job

    protected VisorJob<VisorCdcCacheDataResendTaskArg,Void> job(VisorCdcCacheDataResendTaskArg arg)

Specified by:
  `job` in class `VisorMultiNodeTask<VisorCdcCacheDataResendTaskArg,Void,Void>`
Parameters:
  `arg` - Task arg.
Returns:
  New job.

#### jobNodes

    protected Collection<UUID> jobNodes(VisorTaskArgument<VisorCdcCacheDataResendTaskArg> arg)

Overrides:
  `jobNodes` in class `VisorMultiNodeTask<VisorCdcCacheDataResendTaskArg,Void,Void>`
Returns:
  Collection of nodes IDs where jobs should be mapped.

#### reduce0

    @Nullable
    protected @Nullable Void reduce0(List<ComputeJobResult> results)
                                        throws IgniteException

Actual reduce logic.

Specified by:
  `reduce0` in class `VisorMultiNodeTask<VisorCdcCacheDataResendTaskArg,Void,Void>`
Parameters:
  `results` - Job results.
Returns:
  Task result.
Throws:
  `IgniteException` - If reduction or results caused an error.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.15.0
Release Date | : April 25 2023